DROP TABLE chatevents;
CREATE TABLE chatevents (
  id serial,
  body varchar(255) DEFAULT '' NOT NULL,
  timestamp integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (id)
);

DROP TABLE chatmembers;
CREATE TABLE chatmembers (
  id serial,
  nick varchar(32) DEFAULT '' NOT NULL,
  timestamp integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (id)
);

DROP TABLE IF EXISTS chatinvite;
CREATE TABLE chatinvite (
  uid integer DEFAULT '0' NOT NULL,
  iuid integer DEFAULT '0' NOT NULL,
  timestamp integer DEFAULT '0' NOT NULL,
  KEY (timestamp),
  PRIMARY KEY (uid,iuid)
);
