<?php
  include_once('../../sites/default/settings.php');

  # Please verify the above line has the correct db settings.
 
  # This page was developed to be as "lightweight" as possible
  # since it will be called repeatedly by people both in and
  # out of the chatroom.  Therefore it does not use the drupal
  # framework.

  function do_query($query) {
    global $db_type,$dbc;
    if ($db_type=='mysql') {
      return mysql_query($query);
    }
    return pg_query($dbc,$query);
  }

  if (! is_numeric($uid = $_GET['uid'])) { echo "Invalid uid"; exit; }

  preg_match('#^(..sql)://([^:]+):(.*)@([-a-zA-Z0-9.]+)/([^/]+)$#',$db_url,$_);
  list($junk,$db_type,$db_user,$db_pass,$db_host,$db_name) = $_;
  if (! $db_user || ! $db_host) { echo "Missing DB connect info"; exit; }

  if ($db_type=='mysql') {
    $dbc = mysql_connect($db_host,$db_user,$db_pass);
    if (! $dbc) { echo $db_type.' DB connect failed'; exit; }
    if (! mysql_select_db($db_name,$dbc)) { echo 'DB select failed'; exit; }
    $qr = do_query('SELECT iuid FROM chatinvite WHERE uid='.$uid);
    list($iuid) = mysql_fetch_row($qr);
  } 
  else {
    $dbc = pg_connect("host=$db_host dbname=$db_name user=$db_user password=$db_pass");
    if (! $dbc) { echo $db_type.' DB connect failed'; exit; }
    $qr = do_query('SELECT iuid FROM chatinvite WHERE uid='.$uid);
    list($iuid) = pg_fetch_row($qr);
  }


  # If an invitation is found, popup a window
  $extra = '';
  if ($iuid) { 
    echo '
<html>
  <body>
    <script language="JavaScript" type="text/javascript">
      var win = window.open(\''.$base_url.'/index.php?q=chatbox/invite/'.$iuid.'\',\'chat_invite\',\'top=300,left=240,width=220,height=120\');
      win.focus();
    </script>
  </body>
</html>';
    $extra = ',iuid=0';
  }

  $time = time();
  # If a record already exists, update it
  if (is_numeric($iuid)) {
    echo 'UPDATE '.time();
    do_query("UPDATE chatinvite SET timestamp=$time$extra WHERE uid=$uid");

  # Else insert a record
  } else {
    echo 'INSERT '.time();
    do_query("INSERT INTO chatinvite SET uid=$uid, timestamp=$time");
  }

?>
